Summary: A utility for adjusting kernel time variables
Name: adjtimex
Version: 1.29
Release: 2%{?dist}
ExclusiveOS: Linux
License: GPLv2+
Group: System Environment/Base
Source: http://ftp.debian.org/debian/pool/main/a/adjtimex/%{name}_%{version}.orig.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Adjtimex provides raw access to kernel time variables. On standalone
or intermittently connected machines, root can use adjtimex to correct
for systematic drift. If your machine is connected to the Internet or
is equipped with a precision oscillator or radio clock, you should
instead manage the system clock with the xntpd program. Users can use
adjtimex to view kernel time variables.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} VERSION=%{version}

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/sbin
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
install -m755 adjtimex ${RPM_BUILD_ROOT}/sbin/adjtimex
install -m644 adjtimex.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/adjtimex.8

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README COPYING COPYRIGHT ChangeLog
/sbin/adjtimex
%{_mandir}/man8/adjtimex.8*

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.29-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Apr 19 2010 Miroslav Lichvar <mlichvar@redhat.com> 1.29-1
- update to 1.29

* Tue Dec 01 2009 Miroslav Lichvar <mlichvar@redhat.com> 1.28-1
- update to 1.28

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 17 2009 Miroslav Lichvar <mlichvar@redhat.com> 1.27.1-1
- update to 1.27.1

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Aug 25 2008 Miroslav Lichvar <mlichvar@redhat.com> 1.26-1
- update to 1.26

* Wed May 21 2008 Miroslav Lichvar <mlichvar@redhat.com> 1.24-1
- update to 1.24

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.21-4
- Autorebuild for GCC 4.3

* Tue Aug 21 2007 Miroslav Lichvar <mlichvar@redhat.com> 1.21-3
- update license tag

* Mon Feb 05 2007 Miroslav Lichvar <mlichvar@redhat.com> 1.21-2
- spec cleanup (#225239)

* Mon Oct 16 2006 Miroslav Lichvar <mlichvar@redhat.com> 1.21-1
- update to 1.21

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.20-2.1
- rebuild

* Mon May 22 2006 Miroslav Lichvar <mlichvar@redhat.com> 1.20-2
- fix segfault when parsing -s option

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.20-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.20-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Mar 16 2005 Jindrich Novy <jnovy@redhat.com> 1.20-1
- update to 1.20
- update .glibc patch
- drop .getopt, .fixman, .gcc3 patches

* Fri Mar  4 2005 Jindrich Novy <jnovy@redhat.com> 1.13-16
- rebuilt with gcc4

* Thu Feb 10 2005 Jindrich Novy <jnovy@redhat.com> 1.13-15
- remove -D_FORTIFY_SOURCE=2 from CFLAGS, present in RPM_OPT_FLAGS

* Wed Feb  9 2005 Jindrich Novy <jnovy@redhat.com> 1.13-14
- add -D_FORTIFY_SOURCE=2 to CFLAGS
- spec cleanup

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 19 2004 Than Ngo <than@redhat.com> 1.13-12 
- add fix for new glibc
- add COPYRIGHT file

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jun 16 2003 Than Ngo <than@redhat.com> 1.13-10
- rebuild

* Fri Jun 06 2003 Than Ngo <than@redhat.com> 1.13-9
- fix s390/s390x build

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 22 2003 Than Ngo <than@redhat.com> 1.13-7
- fix build woth gcc 3.3

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 1.13-5
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 18 2002 Than Ngo <than@redhat.com> 1.13-3
- don't forcibly strip binaries

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Harald Hoyer <harald@redhat.de>
- 1.13

* Tue Feb 26 2002 Than Ngo <than@redhat.com> 1.12-2
- rebuild in new enviroment

* Tue Feb 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.12-1
- 1.12

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Mon Jan 29 2001 Preston Brown <pbrown@redhat.com>
- fix man page for '-t' usage on alpha (#9674)

* Mon Nov 20 2000 Bill Nottingham <notting@redhat.com>
- fix ia64 build

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 14 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Fri Mar 03 2000 Cristian Gafton <gafton@redhat.com>
- fix bug #9674

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- man pages are compressed

* Fri Jan  7 2000 Jeff Johnson <jbj@redhat.com>
- update to 1.9.

* Wed Jan  5 2000 Jeff Johnson <jbj@redhat.com>
- burn y2k wartlet (#8172)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 09 1997 Erik Troan <ewt@redhat.com>
- builds on all architectures
